@echo off
title Generando Backup de Desarrollos
CHOICE /C SN /M "Comprimir Archivos?"

IF %ERRORLEVEL% EQU 2 GOTO Copiar
IF %ERRORLEVEL% EQU 1 GOTO Comprimir
GOTO MostrarError

:Comprimir
del sistema-desarrollo.zip
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError

zip sistema-desarrollo.zip  *.app *.dct *.exp *.lib mydoors.clw *.equ *.ico *.jpg *.gif *.cur STABSEC.INI *.cwproj *.sln *.nsi *.version *.nsi *.ocx *.lic suprema.* uf*.* *.dat *.png
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError

del sistema-desarrollo-exe.zip
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError

zip sistema-desarrollo-exe.zip  *.dll *.exe 
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError

del .\sql\sql.zip
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError

cd .\sql
zip sql.zip  *.sql
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError
cd ..

:Copiar
REM copy .\sql\sql.zip p:\Ftp\Projects\CleverSoft\c10 /y
REM IF %ERRORLEVEL% NEQ 0 GOTO MostrarError
REM copy sistema-desarrollo.zip p:\Ftp\Projects\CleverSoft\c10 /y
REM IF %ERRORLEVEL% NEQ 0 GOTO MostrarError
REM copy sistema-desarrollo-exe.zip p:\Ftp\Projects\CleverSoft\c10 /y
REM IF %ERRORLEVEL% NEQ 0 GOTO MostrarError

copy .\sql\sql.zip "c:\Users\gatot\cleversoftsolutions.com\Desarrollo - General\Projects\CleverErp\c10\" /y
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError

copy sistema-desarrollo.zip "c:\Users\gatot\cleversoftsolutions.com\Desarrollo - General\Projects\CleverErp\c10\" /y
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError

copy sistema-desarrollo-exe.zip "c:\Users\gatot\cleversoftsolutions.com\Desarrollo - General\Projects\CleverErp\c10\" /y
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError

GOTO Ok

:MostrarError
color 47
GOTO Fin


:Ok
color A0
echo Proceso Terminado Satisfactorio
GOTO Fin

:Fin
PAUSE
